import java.util.ArrayList;
import java.util.List;

public class MemberList {

    List<Person> memberList;

    public MemberList() { memberList = new ArrayList<>();
    }

    public void add(Person person){
        this.memberList.add(person);
    }

    public void remove(Person person){
        this.memberList.remove(person);
    }

    public void printPersonsLambda (List<Person> memberList, CheckPerson tester) {

        memberList.forEach(person -> {
            if (tester.test(person)) {
                person.printPerson();
            }});
    }

    CheckPerson memberSexMale = p -> (p.gender.equals(Person.Sex.MALE));


}