import org.junit.Test;

import static org.junit.Assert.*;

public class MemberListTest {

    @Test
    public void add() {
        MemberList test = new MemberList();
        Person billy = new Person("Billy");
        test.add(billy);
        assertTrue(test.memberList.contains(billy));
    }

    @Test
    public void printPersonsLambdaTest() {
        MemberList test = new MemberList();
        Person billy = new Person("Billy");
        billy.setGender(Person.Sex.MALE);
        test.add(billy);


        assertTrue(test.memberSexMale.test(billy));

    }


    @Test
    public void remove() {
        MemberList test = new MemberList();
        Person billy = new Person("Slap Shot");
        Person timmy = new Person("Bronco");
        test.add(billy);
        test.add(timmy);
        test.remove(billy);
        assertTrue(!test.memberList.contains(billy));
    }

}