import org.junit.Test;

import java.time.LocalDate;

import static org.junit.Assert.*;

public class PersonTest {

    @Test
    public void getSetName() {
        Person test = new Person("Dave");
        test.setName("Ben");
        assertTrue(test.getName().equalsIgnoreCase("ben"));
    }

    @Test
    public void getSetBirthday() {
        Person test = new Person("Dave");
        test.setBirthday(LocalDate.of(1985,2,8));
        assertTrue(test.birthday.equals(LocalDate.of(1985,2,8)));
    }

    @Test
    public void getSetGender() {
        Person test = new Person("Dave");
        test.setGender(Person.Sex.MALE);
        assertTrue(test.getGender().equals(Person.Sex.MALE));
    }


    @Test
    public void getSetEmailAddress() {
        Person test = new Person("Dave");
        test.setEmailAddress("totallyMeEmail@realEmail.com");
        assertTrue(test.getEmailAddress().equalsIgnoreCase("totallyMeEmail@realEmail.com"));
    }


    @Test
    public void getAge() {
        Person test = new Person("Dave");
        test.setBirthday(LocalDate.of(1985,2,8));
        assertTrue(test.getAge() == 33);
    }

}